/*
 * checkerberry test center - https://www.checkerberry.de
 *
 * Copyright (c) 2010 ConceptPeople consulting gmbh
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/software/page/eupl5
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.conceptpeople.checkerberry.db.example;

import de.conceptpeople.checkerberry.db.bridge.context.DatabaseDescription;
import de.conceptpeople.checkerberry.db.bridge.context.DatabaseDescriptionCallback;

/**
 * Spezielles Callback zur Definition der Test-Datenbankbeschreibung.
 */
public class ExampleDatabaseDescriptionCallback implements DatabaseDescriptionCallback {
    /**
     * {@inheritDoc}
     */
    public void createDatabaseDescription(DatabaseDescription databaseDescription) {
        // Hiermit werden werden die Lookup-Keys spezifiziert
        databaseDescription.addTableDescription("USERS", "NAME", "SURNAME").addExcludedColumns("ID");
        databaseDescription.addTableDescription("DISH", "DESCRIPTION");
        databaseDescription.addTableDescription("USERDISHREL", "ID", "DISH_ID");
    }
}
